Bug 19120 - Order cancelled status is reset on basket open
Summary: Order cancelled status is reset on basket open
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: M. Tompsett
QA Contact: Julian Maurice
URL:
Whiteboard:
Keywords:
: 17172 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-08-15 19:07 UTC by Katrin Fischer
Modified: 2017-10-18 21:15 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19120: Add tests to reproduce the problem (2.25 KB, patch)
2017-09-02 01:26 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 19120: Leave cancelled ordered items alone when reopening basket (953 bytes, patch)
2017-09-02 01:26 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 19120: Add tests to reproduce the problem (2.35 KB, patch)
2017-09-07 05:21 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 19120: Leave cancelled ordered items alone when reopening basket (1.03 KB, patch)
2017-09-07 05:24 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 19120: Add tests to reproduce the problem (2.41 KB, patch)
2017-09-29 11:50 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 19120: Leave cancelled ordered items alone when reopening basket (1.10 KB, patch)
2017-09-29 11:50 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-08-15 19:07:23 UTC
When a basket with a canceled order is opened again, the order status is changed to 'new'. See also bug 19024.

To test:

- Create a basket
- Add orders to it
- Cancel one of the orders
- Close the basket
- Check the status of your orders using the acquisition search, they should be
  ordered with the exception one being canceled
- Open the basket again
- Verify the order still shows as canceled
- Leave the basket open and verify using the acquisition search, that the status of the canceled order is now 'new'.

A canceled order status should always remain as canceled until we introduce an actual feature to reactivate canceled orders. Closing and reopening the basket should have no effect on the status of canceled orders.
Comment 1 M. Tompsett 2017-09-02 01:26:15 UTC
Created attachment 66786 [details] [review]
Bug 19120: Add tests to reproduce the problem

TEST PLAN
---------
1) apply this patch
2) prove t/db_dependent/Acquisition/close_reopen_basket.t
   -- FAILS!
   -- This proves the test works.
3) run koha qa test tools
Comment 2 M. Tompsett 2017-09-02 01:26:21 UTC
Created attachment 66787 [details] [review]
Bug 19120: Leave cancelled ordered items alone when reopening basket

TEST PLAN
---------
1) Apply first patch
2) prove t/db_dependent/Acquisition/close_reopen_basket.t
   -- FAILS
3) Apply this patch
4) prove t/db_dependent/Acquisition/close_reopen_basket.t
   -- SUCCESS!
5) run koha qa test tools
Comment 3 Alex Buckley 2017-09-07 05:21:59 UTC
Created attachment 66908 [details] [review]
Bug 19120: Add tests to reproduce the problem

TEST PLAN
---------
1) apply this patch
2) prove t/db_dependent/Acquisition/close_reopen_basket.t
   -- FAILS!
   -- This proves the test works.
3) run koha qa test tools

Followed test plan, patch worked as described
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 4 Alex Buckley 2017-09-07 05:24:28 UTC
Created attachment 66909 [details] [review]
Bug 19120: Leave cancelled ordered items alone when reopening basket

TEST PLAN
---------
1) Apply first patch
2) prove t/db_dependent/Acquisition/close_reopen_basket.t
   -- FAILS
3) Apply this patch
4) prove t/db_dependent/Acquisition/close_reopen_basket.t
   -- SUCCESS!
5) run koha qa test tools

Followed test plan, patch worked as described
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 5 Katrin Fischer 2017-09-20 21:19:25 UTC
*** Bug 17172 has been marked as a duplicate of this bug. ***
Comment 6 Julian Maurice 2017-09-29 11:50:05 UTC
Created attachment 67436 [details] [review]
Bug 19120: Add tests to reproduce the problem

TEST PLAN
---------
1) apply this patch
2) prove t/db_dependent/Acquisition/close_reopen_basket.t
   -- FAILS!
   -- This proves the test works.
3) run koha qa test tools

Followed test plan, patch worked as described
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 7 Julian Maurice 2017-09-29 11:50:09 UTC
Created attachment 67437 [details] [review]
Bug 19120: Leave cancelled ordered items alone when reopening basket

TEST PLAN
---------
1) Apply first patch
2) prove t/db_dependent/Acquisition/close_reopen_basket.t
   -- FAILS
3) Apply this patch
4) prove t/db_dependent/Acquisition/close_reopen_basket.t
   -- SUCCESS!
5) run koha qa test tools

Followed test plan, patch worked as described
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 8 Jonathan Druart 2017-09-29 15:47:21 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 9 Fridolin SOMERS 2017-10-17 07:50:43 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 10 Katrin Fischer 2017-10-18 21:15:57 UTC
These patches have been pushed to 16.11.x and will be in 16.11.13.